Page MenuHomePhabricator

Include Debian ReportBug GUI?
Open, WishlistPublic

Description

I propose including the Debian GUI bug reporting tool in Whonix by default to make upstream bug reporting easier for all users.

https://packages.debian.org/jessie/reportbug-ng

Details

Impact
Normal

Event Timeline

HulaHoop created this task.Jul 16 2015, 8:39 PM
HulaHoop raised the priority of this task from to Normal.
HulaHoop updated the task description. (Show Details)
HulaHoop set Impact to Normal.
HulaHoop added a subscriber: HulaHoop.
Patrick added subscribers: mfc, nrgaway, marmarek, bnvk.

Big project.

  • We would need to check, that reportbug-ng doesn't collect privacy sensitive information.
  • Where are bug reports sent? To Debian's BTS? We would have to ask what they think about this. O run our own version of BTS?

Btw, I don't like Debian BTS at all. It's web interface is outdated. Has bad usability.

HulaHoop added a comment.EditedJul 17 2015, 1:29 AM

Big project.

We are not going to be running our own anonymous bug reporting infrastructure like TAILS does with WhisperBack. That would be very demanding and need many things to make sure its done right.

The idea is to make it easier (relatively anyway) for bug reports to Debian BTS. I found myself needing to file some reports that way and usability could be better.

  • We would need to check, that reportbug-ng doesn't collect privacy sensitive information.

That should be simple to do.

  • Where are bug reports sent? To Debian's BTS? We would have to ask what they think about this. O run our own version of BTS?

Debian BTS

Btw, I don't like Debian BTS at all. It's web interface is outdated. Has bad usability.

Yes its not that good but still better than command line IMO for newbies.

I researched ReportBug some more. It seems to be a form asking for specific things to be filled out about a bug and then its sent via sendmail to Debian servers. Nothing besides whats filled out is sent.

This is different from KDE crash reporter where debug information can be optionally sent (they ask for permission first).

If you feel the GUI is no good for beginners then this ticket can be closed. Those who have some experience can easily install and use reportbugs when its needed - so no benefit there.

I took another look at reportbugs vs reportbugs-ng and I think the gui tool is actually more awkward to use than the text-based tool. I don't think it should be included anymore.

I want to add a small note on the documentation for reporting bugs that users can refer to to have an idea of what tool they should install if needed. Where should I post this?

mfc added a comment.Jul 17 2015, 10:20 PM

We are not going to be running our own anonymous bug reporting infrastructure like TAILS does with WhisperBack. That would be very demanding and need many things to make sure its done right.

Is this not desirable in the medium- or long-term though?

I don't know what the backend looks like for WhisperBack, but
Qubes/Whonix is always going to have some infrastructure anyway (for
updates etc). The larger time-suck would probably be triaging bug
reports to the respective tools, given that most will probably not be
associated with Q/W-developed work.

What I don't like about WhisperBack alike approaches is, that it leads to more secrecy behind closed doors. Everyone thinks their report need secrecy, is special and should be sent by encrypted mail to Whonix developers where they get private, premium support for free. Encourages laziness of just pressing the button. Less searching for existing discussions. Less incentive to sign up for the forums and user to user exchange.

Tails has a stronger incentive for WhisperBack, because they primarily target host operating systems, have to deal with hardware issues. Whonix primarily targets VMs and leaves dealing with hardware issues to host operating systems. So bug reports / feature requests are more generic.

And the worst thing is, this kind of work behind the scenes isn't visible in public. Generates more "invisible" work in private while it looks like laziness in public. WhisperBack alike approaches seem more appropriate for paying customer to vendor support setups. Or like in case of The Tor Project, that receives funding dedicated for the employment of a support team.

All in all, I am not excited to invest time to make WhisperBack work. Also because reports would most likely reach my inbox. But if there is any compelling problem that needs to be solved, I stay open to arguments.

mfc added a comment.Aug 7 2015, 1:22 PM

Sorry the context is Whonix in Qubes, no? In which case it is a very
similar context to Tails.

WhisperBack doesn't provide any feedback to the user, it is only to
communicate (securely, easily) to the developers, mostly likely about a
bug that may have personal information associated with it.

So it's not for troubleshooting, it's for bug reporting. It could just
go automatically into a bug reporting system, not sure what Tails does.

From the Tails monthly reports they seems to get some useful feedback
through it.

Not a priority, but just wanted to clarify the use-case.

Michael

Patrick (Patrick Schleizer):

Patrick added a comment.
What I don't like about WhisperBack alike approaches is, that it leads to more secrecy behind closed doors. Everyone thinks their report need secrecy, is special and should be sent by encrypted mail to Whonix developers where they get private, premium support for free. Encourages laziness of just pressing the button. Less searching for existing discussions. Less incentive to sign up for the forums and user to user exchange.
Tails has a stronger incentive for WhisperBack, because they primarily target host operating systems, have to deal with hardware issues. Whonix primarily targets VMs and leaves dealing with hardware issues to host operating systems. So bug reports / feature requests are more generic.
And the worst thing is, this kind of work behind the scenes isn't visible in public. Generates more "invisible" work in private while it looks like laziness in public. WhisperBack alike approaches seem more appropriate for paying customer to vendor support setups. Or like in case of The Tor Project, that receives funding dedicated for the employment of a support team.
All in all, I am not excited to invest time to make WhisperBack work. Also because reports would most likely reach my inbox. But if there is any compelling problem that needs to be solved, I stay open to arguments.
TASK DETAIL

https://phabricator.whonix.org/T375

EMAIL PREFERENCES

https://phabricator.whonix.org/settings/panel/emailpreferences/

To: Patrick
Cc: bnvk, marmarek, nrgaway, mfc, Patrick, troubadour, WhonixQubes, HulaHoop

Patrick lowered the priority of this task from Normal to Wishlist.Aug 8 2015, 1:54 PM
In T375#6320, @mfc wrote:

Sorry the context is Whonix in Qubes, no?

Yes. I made no difference between Whonix / Qubes-Whonix here.

In which case it is a very
similar context to Tails.

"Tails has a stronger incentive for WhisperBack, because they primarily target host operating systems, have to deal with hardware issues. Whonix primarily targets VMs and leaves dealing with hardware issues to host operating systems. So bug reports / feature requests are more generic."

In other words, the system information that WhisperBack collects are not so important for Whonix.

WhisperBack doesn't provide any feedback to the user, it is only to
communicate (securely, easily) to the developers, mostly likely about a
bug that may have personal information associated with it.

Mostly true. What it does allow the user is providing an e-mail address. And even an OpenPGP key to receive encrypted replies.

"What I don't like about WhisperBack alike approaches is, that it leads to more secrecy behind closed doors. Everyone thinks their report need secrecy, is special and should be sent by encrypted mail to Whonix developers where they get private, premium support for free. Encourages laziness of just pressing the button. Less searching for existing discussions. Less incentive to sign up for the forums and user to user exchange."

So it's not for troubleshooting, it's for bug reporting. It could just
go automatically into a bug reporting system, not sure what Tails does.

I don't know. Since users can provide an e-mail address (+ optional OpenPGP key), it can also be used as a support tool.

From the Tails monthly reports they seems to get some useful feedback
through it.

But they don't get useful feedback through the forums. Because they have none. ;)

Not a priority, but just wanted to clarify the use-case.

Sure thing. Keep it coming.

I don't think I based my previous post upon knowledge, that has now changed. My previous comment T375#5966 still applies.

If users are using it, "encourages laziness of just pressing the button". It doesn't even require signing up for the forums. Less searching for existing discussions. Less user to user exchange. I fear users will just open the thing "how do I x and y" and then expect an answer.

And all this work happens in private. Going unnoticed.